[Haskell-cafe] Haskore dependency trouble

Henning Thielemann lemming at henning-thielemann.de
Wed Jul 12 05:23:53 EDT 2006

On Wed, 12 Jul 2006, Yitzchak Gale wrote:

> In order to learn how to do that, I practiced by
> installing the ever-important HNOP package.
> After a few tries, I found that the following
> sequence of commands works:
> ./Setup.hs configure --prefix=/usr
> ./Setup.hs build
> sudo ./Setup.hs install
> But similar commands for Haskore do
> not fair as well. The configure command fails
> with the following error:
> Setup.lhs: cannot satisfy dependency Hsc-any

This belongs to a SuperCollider wrapper:

You don't need to install that wrapper, if you do not want to use
SuperCollider. In this case remove the Hsc dependency and the
SuperCollider modules from Haskore.cabal.
 I would like to tell Cabal which modules are required and which are
supported, or recommended, but not needed. I could split Haskore into
several packages, but then again, installation of Haskore and its
sub-packages becomes uncomfortable and the Haddock documentation has no
longer a common table of contents. I tried to write custom Setup code for
finding out which parts of Haskore cannot be installed due to unsatisfied
dependencies, but this is more complicated than I hoped.

More information about the Haskell-Cafe mailing list